| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSolidSpace Class Reference
[Geometry utilities]

This structure keeps track of solid space. More...

`#include <csgeom/solidspace.h>`

List of all members.

## Public Member Functions
void | AddClosedObject (iPolygonMesh *object)
| Add a closed object as solid space.
| csSolidSpace (const csBox3 &bbox, const csVector3 &minsize)
| Create a solid space for the given box and minimum node size.

## Detailed Description

This structure keeps track of solid space.

Basically it represents a 3 dimensional sparse bit array which is 1 where space is solid and 0 where not.

Definition at line 40 of file solidspace.h.

## Constructor & Destructor Documentation

csSolidSpace::csSolidSpace | ( | const csBox3 & | bbox,
|  | const csVector3 & | minsize |
| ) |  |  |

Create a solid space for the given box and minimum node size.

## Member Function Documentation

void csSolidSpace::AddClosedObject | ( | iPolygonMesh * | object | ) |

Add a closed object as solid space.

This polygon mesh must be closed. This function will not check for that.

The documentation for this class was generated from the following file:

- csgeom/solidspace.h